Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### strokeJoin()
Examples |
    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(MITER);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();
    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(BEVEL);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();
    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(ROUND);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();
Description | Sets the style of the joints which connect line segments. These joints are either mitered, beveled, or rounded and specified with the corresponding parameters MITER, BEVEL, and ROUND. The default joint is MITER. This function is not available with the P2D, P3D, or OPENGL renderers (see bug report). More information about the renderers can be found in the size() reference.
Syntax |
    strokeJoin(MODE)
Parameters |
MODE | Either MITER, BEVEL, or ROUND
Returns | None
Usage | Web & Application
Related | stroke() strokeWeight() strokeCap()

Updated on August 30, 2010 04:29:39pm EDT